Page MenuHomePhabricator

Request to implement Growth experiments on Telugu Wikipedia (Tewiki)
Closed, ResolvedPublicMar 24 2021

Description

First

  • Get an agreement from the community to deploy these features: Done. Decision of the community is here.
  • List people we can contact for the next steps: Chaduvaru@tewiki, his talk page
  • subscribe to the Growth newsletter, to know what would be the next steps.

Translations

Help panel

  • Help pages (you can provide either a Wikidata link or a link to your wiki):
 TaskTranslation of the label Link
 Manual of styleమంచి వ్యాసం రాయడం ఎలాhttps://te.wikipedia.org/wiki/%E0%B0%B5%E0%B0%BF%E0%B0%95%E0%B1%80%E0%B0%AA%E0%B1%80%E0%B0%A1%E0%B0%BF%E0%B0%AF%E0%B0%BE:%E0%B0%B6%E0%B1%88%E0%B0%B2%E0%B0%BF
 Help:Editingదిద్దుబాట్లు చెయ్యడం ఎలా https://te.wikipedia.org/wiki/%E0%B0%B5%E0%B0%BF%E0%B0%95%E0%B1%80%E0%B0%AA%E0%B1%80%E0%B0%A1%E0%B0%BF%E0%B0%AF%E0%B0%BE:%E0%B0%A6%E0%B0%BF%E0%B0%A6%E0%B1%8D%E0%B0%A6%E0%B1%81%E0%B0%AC%E0%B0%BE%E0%B0%9F%E0%B1%8D%E0%B0%B2%E0%B1%81_%E0%B0%8E%E0%B0%B2%E0%B0%BE_%E0%B0%9A%E0%B1%86%E0%B0%AF%E0%B1%8D%E0%B0%AF%E0%B0%BE%E0%B0%B2%E0%B0%BF
Inserting images (using the visual editor)బొమ్మలను చేర్చడం ఎలా https://te.wikipedia.org/wiki/%E0%B0%B8%E0%B0%B9%E0%B0%BE%E0%B0%AF%E0%B0%82:%E0%B0%B5%E0%B0%BF%E0%B0%9C%E0%B1%81%E0%B0%B5%E0%B0%B2%E0%B1%8D_%E0%B0%8E%E0%B0%A1%E0%B0%BF%E0%B0%9F%E0%B0%B0%E0%B1%81%E0%B0%A4%E0%B1%8B_%E0%B0%AC%E0%B1%8A%E0%B0%AE%E0%B1%8D%E0%B0%AE%E0%B0%B2_%E0%B0%AA%E0%B0%B0%E0%B0%BF%E0%B0%9A%E0%B0%AF%E0%B0%82/1
Inserting references (using the visual editor)మూలాలను చేర్చడం ఎలాhttps://te.wikipedia.org/wiki/%E0%B0%B8%E0%B0%B9%E0%B0%BE%E0%B0%AF%E0%B0%82:%E0%B0%B5%E0%B0%BF%E0%B0%9C%E0%B1%81%E0%B0%B5%E0%B0%B2%E0%B1%8D_%E0%B0%8E%E0%B0%A1%E0%B0%BF%E0%B0%9F%E0%B0%B0%E0%B1%81%E0%B0%A4%E0%B1%8B_%E0%B0%AE%E0%B1%82%E0%B0%B2%E0%B0%BE%E0%B0%B2%E0%B0%BF%E0%B0%B5%E0%B1%8D%E0%B0%B5%E0%B0%A1%E0%B0%82_%E0%B0%97%E0%B1%81%E0%B0%B0%E0%B0%BF%E0%B0%82%E0%B0%9A%E0%B0%BF_%E0%B0%AA%E0%B0%B0%E0%B0%BF%E0%B0%9A%E0%B0%AF%E0%B0%82/1
Article Wizardవ్యాసాన్ని సృష్టించడం ఎలా https://te.wikipedia.org/wiki/%E0%B0%B5%E0%B0%BF%E0%B0%95%E0%B1%80%E0%B0%AA%E0%B1%80%E0%B0%A1%E0%B0%BF%E0%B0%AF%E0%B0%BE:%E0%B0%B5%E0%B1%8D%E0%B0%AF%E0%B0%BE%E0%B0%B8%E0%B0%B8%E0%B1%83%E0%B0%B7%E0%B1%8D%E0%B0%9F%E0%B0%BF%E0%B0%95%E0%B0%BF_%E0%B0%AE%E0%B0%BE%E0%B0%B0%E0%B1%8D%E0%B0%97%E0%B0%B8%E0%B1%82%E0%B0%9A%E0%B1%80

Mentorship module (optional)

(Signature list will be created after implementation of the project)

Suggested edits

Suggested edits are based on these 5 task-types. At the moment, they can't be substituted. Please check maintenance template and links:

TaskDifficulty levelTask descriptionMaintenance templatesLearn more
Copyedit articleEasyFix spelling, grammar and tonehttps://te.wikipedia.org/wiki/%E0%B0%AE%E0%B1%82%E0%B0%B8:Copy_editcopy editing
Add LinksEasyAdd links between articleshttps://te.wikipedia.org/wiki/%E0%B0%AE%E0%B1%82%E0%B0%B8:Underlinkedhttps://te.wikipedia.org/wiki/%E0%B0%B8%E0%B0%B9%E0%B0%BE%E0%B0%AF%E0%B0%82:%E0%B0%B5%E0%B0%BF%E0%B0%9C%E0%B1%81%E0%B0%B5%E0%B0%B2%E0%B1%8D_%E0%B0%8E%E0%B0%A1%E0%B0%BF%E0%B0%9F%E0%B0%B0%E0%B1%81%E0%B0%A4%E0%B1%8B_%E0%B0%A6%E0%B0%BF%E0%B0%A6%E0%B1%8D%E0%B0%A6%E0%B1%81%E0%B0%AC%E0%B0%BE%E0%B0%9F%E0%B1%81_%E0%B0%9A%E0%B1%86%E0%B0%AF%E0%B1%8D%E0%B0%AF%E0%B0%A1%E0%B0%82_%E0%B0%AA%E0%B0%B0%E0%B0%BF%E0%B0%9A%E0%B0%AF%E0%B0%82/3
Update articleMediumBring existing articles up-to-datehttps://te.wikipedia.org/wiki/%E0%B0%AE%E0%B1%82%E0%B0%B8:Updatehttps://te.wikipedia.org/wiki/%E0%B0%B5%E0%B0%BF%E0%B0%95%E0%B1%80%E0%B0%AA%E0%B1%80%E0%B0%A1%E0%B0%BF%E0%B0%AF%E0%B0%BE:%E0%B0%A6%E0%B1%83%E0%B0%B7%E0%B1%8D%E0%B0%9F%E0%B0%BF_%E0%B0%AA%E0%B1%86%E0%B0%9F%E0%B1%8D%E0%B0%9F%E0%B0%B5%E0%B0%B2%E0%B0%B8%E0%B0%BF%E0%B0%A8_%E0%B0%AA%E0%B1%87%E0%B0%9C%E0%B1%80%E0%B0%B2%E0%B1%81
Add ReferencesMediumFind sources for existing articleshttps://te.wikipedia.org/wiki/%E0%B0%AE%E0%B1%82%E0%B0%B8:Unreferencedhttps://te.wikipedia.org/wiki/%E0%B0%B5%E0%B0%BF%E0%B0%95%E0%B1%80%E0%B0%AA%E0%B1%80%E0%B0%A1%E0%B0%BF%E0%B0%AF%E0%B0%BE:%E0%B0%A8%E0%B0%BF%E0%B0%B0%E0%B1%8D%E0%B0%A7%E0%B0%BE%E0%B0%B0%E0%B0%A4%E0%B1%8D%E0%B0%B5%E0%B0%82
Expand articleHardExpand stubs to become sourced articleshttps://te.wikipedia.org/wiki/%E0%B0%AE%E0%B1%82%E0%B0%B8:%E0%B0%AE%E0%B1%8A%E0%B0%B2%E0%B0%95https://te.wikipedia.org/wiki/%E0%B0%B5%E0%B0%BF%E0%B0%95%E0%B1%80%E0%B0%AA%E0%B1%80%E0%B0%A1%E0%B0%BF%E0%B0%AF%E0%B0%BE:%E0%B0%AE%E0%B1%8A%E0%B0%B2%E0%B0%95

For templates only, you can suggest more templates that match the task description.

Anything else?

Do you have any particular information or configuration that we should be aware of (like you have a special in-person mentoring program, or your wiki uses FlaggedRevisions...): Nothing

Event Timeline

Thank you for your interest for our features!

In order to work on the configuration, can you translate the labels for help links you choose on the Help desk section? Thank you. :)

Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald TranscriptMar 15 2021, 5:42 PM

Sorry, I missed it. Here are the translations:

 TaskTranslation of the label Link
 Manual of styleమంచి వ్యాసం రాయడం ఎలాQ4994848
 Help:Editingదిద్దుబాట్లు చెయ్యడం ఎలా Q151637
Inserting images (using the visual editor)బొమ్మలను చేర్చడం ఎలా Q27919584
Inserting references (using the visual editor)మూలాలను చేర్చడం ఎలా Q24238629
Article Wizardవ్యాసాన్ని సృష్టించడం ఎలా Q10968373

No problem. :)

I will soon change the Q... links for te.wp links and we will certainly be good to go.

The plan will be the following: we deploy the tools so that only experienced users can turn them on in their preferences so that you can try the features and check on translations. Then, the week after, we deploy the tools to newcomers. How does this sounds?

How does this sounds?

That sounds great! Look forward to test the features. Thanks for this very quick response.

Trizek-WMF set Due Date to Mar 23 2021, 11:00 PM.
Trizek-WMF updated the task description. (Show Details)
Trizek-WMF removed a subscriber: Urbanecm_WMF.

Change 673323 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] tewiki: Enable Growth features in stealth mode

https://gerrit.wikimedia.org/r/673323

Change 673323 merged by jenkins-bot:
[operations/mediawiki-config@master] tewiki: Enable Growth features in stealth mode

https://gerrit.wikimedia.org/r/673323

Urbanecm_WMF moved this task from Backlog to Dark Mode Enabled on the Growth-Deployments board.

Mentioned in SAL (#wikimedia-operations) [2021-03-18T17:48:23Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: 55aa6cb: tewiki: Enable Growth features in stealth mode (T277491; 1/2) (duration: 01m 10s)

Urbanecm_WMF added a subscriber: Urbanecm_WMF.

@Trizek-WMF This was just done (in stealth mode).

Mentioned in SAL (#wikimedia-operations) [2021-03-18T17:50:23Z] <urbanecm@deploy1002> Synchronized dblists/growthexperiments.dblist: 55aa6cb: tewiki: Enable Growth features in stealth mode (T277491; 2/2) (duration: 01m 08s)

Great! Its up now. I enabled the Homepage and could see the features. I sent a message to my mentor from my Homepage. Will test the features in the next few days and make the necessary changes to the translations.
Thanks once again for the great work. It has been sweet working with you guys.

Change 673493 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/extensions/GrowthExperiments@master] Add Telugu special page aliases

https://gerrit.wikimedia.org/r/673493

Great! Its up now. I enabled the Homepage and could see the features. I sent a message to my mentor from my Homepage. Will test the features in the next few days and make the necessary changes to the translations.
Thanks once again for the great work. It has been sweet working with you guys.

That's really nice to hear :). Do let us know if you have any questions or issues.

Change 673493 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Add Telugu special page aliases

https://gerrit.wikimedia.org/r/673493

Is there a possibility for the following:

  1. Showing a welcome message to the new user on the Newcomer Homepage (If I want to tell the newcomer the purpose of the Homepage and how they can use it)
  2. Sending a message to the Mentor whenever a Mentee is attached to them

Is there a possibility for the following:

  1. Showing a welcome message to the new user on the Newcomer Homepage (If I want to tell the newcomer the purpose of the Homepage and how they can use it)

At the moment, newcomers are guided to arrive on the Homepage. It is sort of a welcome process, where Wikipedia says hello to newcomers and guide them to their homepage. You can try this workflow by creating some test accounts.

Does your wiki has a welcome message? If so, you can change it to have the welcome message be signed with the mentor's name.

  1. Sending a message to the Mentor whenever a Mentee is attached to them

Well, since all mentees receive a mentor, you would get a lot of notifications! :) We are currently working on a mentor dashboard, where you would be able to check on your mentees activities.

Urbanecm_WMF changed Due Date from Mar 23 2021, 11:00 PM to Mar 24 2021, 7:00 PM.Mar 23 2021, 5:12 PM

Change 674652 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Promote several Growth target wikis out of dark mode

https://gerrit.wikimedia.org/r/674652

Change 674652 merged by jenkins-bot:
[operations/mediawiki-config@master] Promote several Growth target wikis out of dark mode

https://gerrit.wikimedia.org/r/674652

Mentioned in SAL (#wikimedia-operations) [2021-03-24T18:31:21Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: 5aa050602954a3cab0c7e0c4b10efb0f957efb59: Promote several Growth target wikis out of dark mode (T277491; T276830; T276123; T276816; T275550; T276450) (duration: 01m 08s)

@Trizek-WMF Hi, the wiki was pushed out of dark mode. Let me know if there is anything I should change.

@Chaduvari, the features are now available. I close this task, but let us know if you have questions or suggestions! :)

@Trizek-WMF, thank you very much for all your support.
I have a change request.. may be I will write at the Talk:Growth on Mediawiki.